
package org.apidesign.apifest08.currency;

import java.math.BigDecimal;

/**
 * Exchange rate value. Contains <code>from</code> and <code>to</code> value.
 * 
 * @author arnostvalicek
 */
public class ExchangeRate {
    private BigDecimal numberFor;
    private BigDecimal numberGet;

    public  ExchangeRate(BigDecimal fromValue, BigDecimal toValue) {
        this.numberFor = fromValue;
        this.numberGet = toValue;
    }

    @Override
    public String toString() {
        return "for "+numberFor+" recieve "+numberGet+" @"+getClass().getName();
    }
    
    public BigDecimal getFromValue() {
        return numberFor;
    }
    
    public BigDecimal getToValue() {
        return numberGet;
    }
    
    
//    public ExchangeRate createExchangeRate(BigDecimal forValue, BigDecimal getValue) {
//        ExchangeRate rate = new ExchangeRate(forValue, getValue);
//        return rate;
//    }
    
    
    
}
